# ../addons/eventscripts/gungame/scripts/custom/gg_multi_level_remover/gg_multi_level_remover_config.py

# ============================================================================
# >> IMPORTS
# ============================================================================
# EventScripts Imports
import es
import cfglib

# GunGame Imports
from gungame51.core.cfg import generate_header

# ============================================================================
# >> GLOBAL VARIABLES
# ============================================================================
config = cfglib.AddonCFG('%s/cfg/' % es.ServerVar('eventscripts_gamedir') +
    'gungame51/custom_addon_configs/gg_multi_level_remover.cfg')

# ============================================================================
# >> LOAD & UNLOAD
# ============================================================================
def load():
    generate_header(config)


    # MultiLevel Remover
    config.text('')
    config.text('='*76)
    config.text('>> MULTILEVEL REMOVER')
    config.text('='*76)
    config.text('Description:')
    config.text('   Registers the server command "stop_multi_levelers" to ' +
                'end gg_multi_level')
    config.text('   bonuses for all players.')
    config.text('Implementation:')
    config.text('   This is will most commonly be implemented in 1v1 knife ' +
                'fight scripts to')
    config.text('make sure that neither player has a speed advantage, and to stop the music.')
    config.text('')
    config.text('   In this case, add this line to your knife fight script ' +
                'at the start of')
    config.text('   the fight:')
    config.text('      EventScripts Shell:')
    config.text('         stop_multi_levelers')
    config.text('      EventScripts Python:')
    config.text('         es.server.queuecmd("stop_multi_levelers")')
    config.text('      SourceMod:')
    config.text('         ServerCommand("stop_multi_levelers");')
    config.text('Options:')
    config.text('   0 = (Disabled)')
    config.text('   1 = (Enabled)')
    config.text('Default Value: 1')
    config.cvar('gg_multi_level_remover', 1, 'Enables/Disables ' +
                'gg_multi_level_remover.').addFlag('notify')
    config.text('')

    config.write()
    es.dbgmsg(0, '\tgg_multi_level_remover.cfg')

def unload():
    global config

    # Remove the "notify" flags as set by addFlag('notify')
    for cvar in config.getCvars().keys():
        es.flags('remove', 'notify', cvar)
    
    # Delete the cfglib.AddonCFG instance
    del config